[UI design] Search Results page: re-design page display of search results across languages
Closed, ResolvedPublic

Description

As a frequent user of Wikipedia, it is frustrating that I can't search across languages when I really want to get to the Italian page for 'ciao' rather than the English page for 'ciao' when I search on wikipedia.org.

This ticket is to open up the discussion and re-design of the search results page to better show results that are across languages, rather than only in English when searching from the wikipedia portal page.

An example mock is below, that shows what search results could look like after searching for 'gallo gallo' across languages (based on searching on the en.wikipedia.org site).

There are several wiki's that show their search results in a very different manner - I'd like to take the best parts of them and consolidate them into a new display that will show the article or text search results across languages. Here are several wiki's that show a different treatment, for comparison purposes.



Related Objects

StatusAssignedTask
Resolveddebt
OpenNone
Resolveddemon
ResolvedCKoerner_WMF
OpenNone
Resolveddebt
Resolveddebt
ResolvedJdrewniak
Resolvedmpopov
Resolvedmpopov
ResolvedEBernhardson
OpenJdrewniak
Resolveddebt
ResolvedJdrewniak
DeclinedNone
DeclinedNone
DeclinedNone
Resolveddebt
Resolveddebt
Resolveddebt
Resolveddebt
Resolveddebt
Resolvedmpopov
OpenNone
DeclinedNone
ResolvedJdrewniak
DuplicateNone
ResolvedJdrewniak
DeclinedNone
OpenNone
OpenNone
ResolvedEBernhardson
Opendcausse
Resolveddcausse
Resolveddcausse
Opendcausse
OpenNone
debt created this task.Jul 4 2016, 7:54 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 4 2016, 7:54 PM
debt updated the task description. (Show Details)Jul 4 2016, 8:01 PM
debt updated the task description. (Show Details)Jul 4 2016, 8:42 PM
debt triaged this task as Normal priority.Jul 6 2016, 9:25 PM
debt moved this task from Needs triage to This Quarter on the Discovery-Search board.

adding a couple tickets that aren't really subtasks, but to keep them in mind when designing the page to show more search results from other wiki's or languages.

debt added a comment.Aug 5 2016, 7:35 PM

This ticket is meant to show various ways that other wiki's have shown their search results and maybe we can pick/choose the ones that we feel will work best for the search results by language detection.

The work here will be done primarily by a UI/UX designer and engineer with testing done via A/B tests or other user testing.

debt updated the task description. (Show Details)Aug 10 2016, 9:02 PM
debt renamed this task from Search Results page: re-design page display of search results by language to Search Results page: re-design page display of search results across languages.Aug 24 2016, 8:45 PM
debt added a comment.EditedSep 13 2016, 9:27 PM

We opened up conversation with the community (via metawiki articles, requests for translations on village pumps and email lists) about the possible new design for the display of the new cross-wiki search results.

Here are the designs we presented:
https://www.mediawiki.org/wiki/Cross-wiki_Search_Result_Improvements/Design

The overall conversation about how to do the search is here:
https://www.mediawiki.org/wiki/Cross-wiki_Search_Result_Improvements

Village Pump outreach was on the following language wikis:
ar, ceb, de, eo, es, fa, fr, he, ja, it, mk, nl, no, pl, pt, ru, sv, uk, vi, war, zh

Emails were sent to wikitech-l, wikitech ambassadors, wikimedia-l and discovery lists on Sep 7, 2016 that announced the intention to do the cross-wiki search results and asked for feedback on the search method and page re-design.

The community interaction is also being tracked here: T137312

debt added a comment.Sep 17 2016, 12:00 AM

I've added two new epic tickets to track the work we'll be doing on this: T145918 for backend work and T145917 for front end work.

debt claimed this task.Sep 17 2016, 12:00 AM

Reviewed feedback and recommendations for the layout and design of the new search engine results page with @Nirzar, @ovasileva and @Jdrewniak

deck and prototype

debt renamed this task from Search Results page: re-design page display of search results across languages to [UI design] Search Results page: re-design page display of search results across languages.Nov 2 2016, 1:35 PM
debt closed this task as Resolved.Jan 9 2017, 6:17 PM

Closing this as resolved - more information on what mocks we want to use in testing is here: https://www.mediawiki.org/wiki/Cross-wiki_Search_Result_Improvements/Testing